hup_exit(3)

NAME
hup_exit() - generic termination signal handler

SYNOPSIS
#include "fwfunc.h"

void hup_exit(int sig)

DESCRIPTION
The function records `caught signal' log message and exits with code 1. Usually should not be called directly.

EXAMPLES
signal(SIGHUP, hup_exit);

signal(SIGTERM, hup_exit);

SEE ALSO
signal(3)

HISTORY
present in fwtk since v1